import { FastifyPluginAsync } from 'fastify';
import deleter from './delete.js';
import upload from './upload.js';
import index from './indexpage.js';
import list from './list.js';
import get from './get.js';

export default (async function (fastify) {
    await fastify.register(deleter);
    await fastify.register(upload);
    await fastify.register(index);
    await fastify.register(list);
    await fastify.register(get);
} as FastifyPluginAsync);
